GNU bug report logs - #57969
29.0.50; `device-class' errors when NAME is nil

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Visuwesh <visuweshm@HIDDEN>; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 29.1, send any further explanations to 57969 <at> debbugs.gnu.org and Visuwesh <visuweshm@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 57969 <at> debbugs.gnu.org:


Received: (at 57969) by debbugs.gnu.org; 24 Sep 2022 16:34:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 24 12:34:52 2022
Received: from localhost ([127.0.0.1]:45126 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oc87A-0005uA-NI
	for submit <at> debbugs.gnu.org; Sat, 24 Sep 2022 12:34:52 -0400
Received: from quimby.gnus.org ([95.216.78.240]:50028)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oc879-0005tw-IK
 for 57969 <at> debbugs.gnu.org; Sat, 24 Sep 2022 12:34:52 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=oJm+J+f1s+9dNQAVc4wU8xWqUfVXyRwSc2FDOSFwlDo=; b=IEhPgoqkanSDmMMWjsvnjH6Lls
 nTQFRKlJ+wFKOR7GAQ1sB86Nkq3EMi/OnD+lmh/DkMPyAbrUege+VktAuaaIlxLRLmxkuUaNVKcKy
 sNBNrivxShQmOjPceCoWVvBQydtT4QF/ZNEkkL/+KZNu6zWiH7lsMe/3Em6rlWpEOTTc=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oc86z-0005Dq-Th; Sat, 24 Sep 2022 18:34:44 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Visuwesh <visuweshm@HIDDEN>
Subject: Re: bug#57969: 29.0.50; `device-class' errors when NAME is nil
In-Reply-To: <87fsgkdiuj.fsf@HIDDEN> (Visuwesh's message of "Wed, 21 Sep
 2022 17:45:16 +0530")
References: <87r105tblc.fsf@HIDDEN> <87k05x6jas.fsf@HIDDEN>
 <87y1udeyez.fsf@HIDDEN> <87sfkl5408.fsf@HIDDEN>
 <87fsgkdiuj.fsf@HIDDEN>
X-Now-Playing: DJ Rupture's _Curiosity Slowdown_: "Curiosity Slowdown (part 1)"
Date: Sat, 24 Sep 2022 18:34:41 +0200
Message-ID: <87h70wd93y.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Visuwesh <visuweshm@HIDDEN> writes: > Po Lu pushed a
 fixed. See >
 https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=3ed9a1b0be024523703397b91c1b2ba66d848596
 So I'm closing this bug report now. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57969
Cc: Po Lu <luangruo@HIDDEN>, 57969 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Visuwesh <visuweshm@HIDDEN> writes:

> Po Lu pushed a fixed.  See
> https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=3ed9a1b0be024523703397b91c1b2ba66d848596

So I'm closing this bug report now.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57969; Package emacs. Full text available.

Message received at 57969 <at> debbugs.gnu.org:


Received: (at 57969) by debbugs.gnu.org; 21 Sep 2022 12:40:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 21 08:40:26 2022
Received: from localhost ([127.0.0.1]:32866 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oaz1d-0006QU-OB
	for submit <at> debbugs.gnu.org; Wed, 21 Sep 2022 08:40:25 -0400
Received: from sonic310-23.consmr.mail.ne1.yahoo.com ([66.163.186.204]:40692)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1oaz1b-0006QF-8n
 for 57969 <at> debbugs.gnu.org; Wed, 21 Sep 2022 08:40:24 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1663764016; bh=DxHcLPi5sl1fZqPGmQx1TKueZSn9LDZMPp2dHWdndQc=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=g+scUe1xtbtrmoq8eLpWbkPfnpk5GJAhwp/W+A6NTGD8LGKpOSaU/WAIX/Dc4qFCbnh6ZfcQO+Mpff4sUrZgHq60GmWRPORa2jWflaam2raAPYKUVpbILIS/9hL09BoKQnh5ZjNlliSZ2GsC1V74PyElYcPUdE1eYj2+yhhGCCfdahglw6MDzW+VmmLMSdDfeYivWrCG7JyVQUzyYFSJULnCc38wXLsTYHEiTb/2fbHypGWjzg6LDhLcMP43Hcr1SGOKgZo2AyjIexMPTsfjzQtRfRYSOg2TWvZRqK67vp2sz5CE2tVXf4Nb6VvZpRbqgkhYrkKjiHh5CC90fS2SEw==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1663764016; bh=bb7qrFXSSkf1kcBS10ItcNnZNCECwKHV2KDJHpZCO8Y=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=UNRYYWPNPp75kHL95j4+ZKu/TDQSsZvIJCTy+zNiJA6QWbL24BIcYeOyFlErPWdqhYWgtDl/T5X/9diLT1C7jP2rKFUNufuJzLAXeE+LLlX4K7fzdfrbIqox75HyGtAveuG+V7ZLN4s4a/QOSFPrUY2qDDp8Yp5J35ZcdZ7Q0GlrxQgwxSToQ94wT99nsFbXSvvzQpcGRCnioQYYHYtTQKaVVBxZN6DC+++0abN4V/y9EwK+FLbkkD8FdCckgMIRgR/K1H4nVmKFxpleYKFxZ5KttpYI4hlDpaP8JCi2GstDlOL9dpt9+A2YfSVUk0glhcmEVQhfUubAk8sfvJcJWw==
X-YMail-OSG: .KFJnqQVM1nK3DD_F2ZcSugqzR0z0UgsSIWEKmpSTBANWl9Tv9oeTg1YEbG6rXA
 xbGaftISg7L.tvAE5TZtCjmhyBl0_Ylz2C41IeQdKcz2x3n2l.6g0CEWaj_ZijdIA6F6TsjvDUWr
 wRMQ3ebIssH7lUvvtBuLINoF1HVrRZbAc1XCwS78fiky9dFjYy_3txDHmtARWxPBw27WNjAuogmW
 VNa7pXQSjIIAsLtrScg0Y5r.QFiTqw7E0ZoHZ04C45tqJjG6SnsNLUS1mUXXGER4f1XbKpXhZ5py
 u_hJ0JZn41nonD365zSJ6Q7T58ciU9UOMvaN2X0tynxC9JsLw6QqODLA8M0sMibchJa9kTUdbfpw
 xl.xh_ONAchdLEY6gj50WXnKKfeJzvLwoq4okJsksm_sSIIr.q6G9iiK_L5WQ7KGz9lUr9MV_9zc
 rAUr7Wx8oI9DuoIsgg.nFTAclfeQM3FqaAMisA4S7QtZkAkubI7yi6ZVACXw21OejxU43O38IRyv
 Q_LRmXYZ_3nWOZWAhsgwF2kL380ZFwx5QEQygq.hQMenB23IMvzZx_f.eOeZkIwdsN._MSVBip_O
 M01kObIeUsqBJKsiXb0yoNKA8E8do.nwZBTq4yvx7iAcwstPtv22kunubCjCTaMbnHM9deJ.hmNJ
 sBNjBmxa0TP8zD1s3SW_3iYHtHgu2uYJk2HGdP5dYx5aOSRKaL3kbcrDCdxt1CrCn.3Plqx2NdI_
 SdKGOgTGBH1wQuNr1WU48LrWofD1WlcLsCJK8oA88rR_LD4eqlkNVFlrD3KFsb1u8lMRlvD7cqEM
 lyF4_CQge5PSlyq67kAZFw0Y8JzgcZsh.QZuFHdKBztVfuGQ4T2ld5R.GqEfHnwpKuinwQC67jon
 hYf.CN.KH8OROIb0KkkoKr_edYw2YEGW_elrWUSwQOUon4BT6GHVbB7FmEVKXaECyWuv7USRSfrz
 ZOqlMjaWDnRphssdUKE5tdEjtxVf5Dbs9_fga4447QWaY9bhU9ccdqSp_jdHvhxaGZYKDX_brQg5
 ytZw9nsHfazdVgaZgS20fiAAmEdyOL4P2xpL0mANPuy4SZfXHzRbyXihdYLnfUTFPMQK8SUlsS8D
 dppGsSGPrvPMaGd4ZbvhFFTRDNSuFGGSwqfDfGRtitXszz28Bsyh.CPXfFiTPtOYgB1isD_D1jyq
 J_f9JrtDNkLAAXYMeDf9J9RxcG9eZ5ibFKYhTJmrBG_iaCMnryjX5JWPQPfB3S9yQz0PgdxnQVO9
 XXlnwcmhtAd25F8CTykYGiMUr4YyFkpJ8pojadF3q4aWZchKjmWXNgYCIY2b.IyTiL.ecl2MsloS
 eN13yAYzIziko1LL9NHSCJfOAwcxY4PHw87JvmJxvCqeW.BIwtkjf7d9hDm_yp7rK._U6Ga2ksgm
 2LACo1_Pw_u_fORiltPMFvrt2gMHL.Au_CHT.GJaUkQpc4Wfp5crP.EyXAQW3rp5W191nvzfHgPK
 WSTcEKocyhYpNErcbVf_AX1yMeMui0HYVro5KLL3elDIRBjkJYpIw0urQxFwgI0mUGkZU2ims_RU
 xS67f2UgkpGM1F.08.7AasOTQ8dvssVdltjAnjXCdvoNoyRHWPbVOWyJuRycjBU1W6fg7ttZYiih
 QKPOKWGEUDpGtDXlu_fUuExm7IZdwzS_58wm0oMnoO6jPDWW96mNWMerZDN_iJm54Nk4rWiiP3XJ
 9uSDmlW3vp_chBTD49DVMUibPHEGFBVasthoAOjpEh_15Uxfq42vCVgaYG.gAcnOvN0ZQtdBnVY1
 8oMQMqg1R_5EzX_pFX3HdA0y0rUNFTz2CfVLTnJmTMVCE6shddEQbzT4A7ISe357Ff8N_TkRlY1A
 OBsTHq7vFQTwjdbCOFMQP4KcW0t14byZ0zpIGN5JwZIkMqa9wP4t7Y.G.8Vu6D5ajthDblvJv0aU
 08EwIlnp6sTsljg1KGNcptu4b5qBP.4eVGwC5RgjaWsLDBdVxp_74NZ4tJCuPp9PuSM4NXnRHwBw
 zqPS14bI9XQsjOA6mS3me02a6ac2GJTuK3Uui6TfWSXN7J.4sLXRBEKqVxW9jbjxvdknVuBpGmwR
 jxvLiDFnpkp38L9RLb7gDn4kpr0eyfOeeZVkctZebYk041SP37YnFoNRfA7SUBnjLTrufQp0on5r
 MZWFQy4yaxHd0pbrWbMErGL_dQJ1TZbZD6t9QwvFpAt5NlDSFoDslCjImAhF62pIC9U1CAtmCadq
 2a5IiFpqd0QOD.0Z3R9mM9heJm_iLFt8.0P7tXQGxJeL3gtNLuFaf9C5t1UtHYiKdpqgNRPtkoAr
 Cqa8-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic310.consmr.mail.ne1.yahoo.com with HTTP; Wed, 21 Sep 2022 12:40:16 +0000
Received: by hermes--production-sg3-6d76f6b48d-vxzs8 (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID 97322458d81973db864d6c7dae5b3a2c; 
 Wed, 21 Sep 2022 12:40:10 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#57969: 29.0.50; `device-class' errors when NAME is nil
References: <87r105tblc.fsf@HIDDEN> <87k05x6jas.fsf@HIDDEN>
 <87y1udeyez.fsf@HIDDEN> <87sfkl5408.fsf@HIDDEN>
Date: Wed, 21 Sep 2022 20:40:06 +0800
In-Reply-To: <87sfkl5408.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 21 Sep 2022 14:03:03 +0200")
Message-ID: <87leqcgau1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20663
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 114
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57969
Cc: 57969 <at> debbugs.gnu.org, Visuwesh <visuweshm@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> So a nil NAME should lead to `device-class' returning nil?

Indeed.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57969; Package emacs. Full text available.

Message received at 57969 <at> debbugs.gnu.org:


Received: (at 57969) by debbugs.gnu.org; 21 Sep 2022 12:16:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 21 08:16:09 2022
Received: from localhost ([127.0.0.1]:32816 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oaye9-0005oD-EX
	for submit <at> debbugs.gnu.org; Wed, 21 Sep 2022 08:16:09 -0400
Received: from mail-pf1-f179.google.com ([209.85.210.179]:42772)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <visuweshm@HIDDEN>) id 1oaye7-0005nk-JK
 for 57969 <at> debbugs.gnu.org; Wed, 21 Sep 2022 08:16:08 -0400
Received: by mail-pf1-f179.google.com with SMTP id b23so5697551pfp.9
 for <57969 <at> debbugs.gnu.org>; Wed, 21 Sep 2022 05:16:07 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id:date
 :references:in-reply-to:subject:cc:to:from:from:to:cc:subject:date;
 bh=WQoO+Pnza8R0lvJFgstiSBP1bPwYSNQtx5U7dvRQM2Y=;
 b=Zz9oReDhA4RY6vdzMv2NiFA7KTRy4Nqj/JW6xRp1UKcUblP5NbZMLC531i0cLrZbXo
 IM4VJPtPfcBRvL/cE4I9kHGYoes5B73YOJm5d0szMGTLF1oiCcbXI5CQJjzo8KfHwSQe
 HI4y7vyInBdGbPW9Rd3vA/MYWvf+OxYiwsj2grFX/vNmfjfaIb3ZqssQ9juvmO9//N3X
 L6klLE9VfNvkhDAIN3p4Fun39nld9zN3rQSnzcRP6si479mIBhheRwPbUo0BJZTKNR3n
 ogzi9CI8GwBQNMGgSONfONazZpQXyxjTJLGJR4TmOtQuF/1qJW2C01ZVGW/jVnmQi/dC
 rhKg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id:date
 :references:in-reply-to:subject:cc:to:from:x-gm-message-state:from
 :to:cc:subject:date;
 bh=WQoO+Pnza8R0lvJFgstiSBP1bPwYSNQtx5U7dvRQM2Y=;
 b=Qzd6cz3cQZfWWHYEun1XNRqZ/Qn8dJfqLaGNenzeh74Za4luHDXZ3+PWBFPgOcQQvy
 wTsMXFatepkF6hrkG5Jc3Aldn554G36digr0hmB+l6F6PWX8SikVkqlgpDMQTS+sJHCe
 DaWkram8DmlhmRL1GBv+DTY4KThnZpIa+/Huwd2ZxUPtg9EN2nhFimbQyQDgiRvHC3TC
 Ihdh7R3JjZAnI4QiB1JKeqe+vpf5PsJmi8K79eQpYfdnpXNUSXGett58DaDD/IFzxxQR
 /IAJYw5msczLCmeqqhqE6V9kGolIHHXH4mldxZ0Ot6D601ueDZTUlCbrJNs0PZxIiOBJ
 hB1g==
X-Gm-Message-State: ACrzQf1yTgKwnZGJJrcb5KNf+vmTq3tIdEb9cFzp29sqKd55pO0H7R86
 v1NnJEft2hvYwd7Zn5wSCkeVWpUUUvw=
X-Google-Smtp-Source: AMsMyM63xJto/0v5nMjllt9lKFz4rcLlS/3DJVkZ1CrqdJz9WuAz92r7z1qnMeYGiexfFqoBPXJ3Kg==
X-Received: by 2002:a63:fa44:0:b0:439:2fa1:d9b3 with SMTP id
 g4-20020a63fa44000000b004392fa1d9b3mr25132866pgk.110.1663762561989; 
 Wed, 21 Sep 2022 05:16:01 -0700 (PDT)
Received: from localhost ([118.185.152.162]) by smtp.gmail.com with ESMTPSA id
 b23-20020a63cf57000000b00434651f9a96sm1714538pgj.15.2022.09.21.05.16.00
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Sep 2022 05:16:01 -0700 (PDT)
From: Visuwesh <visuweshm@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#57969: 29.0.50; `device-class' errors when NAME is nil
In-Reply-To: <87tu51eye8.fsf@HIDDEN> (Po Lu's message of "Wed, 21 Sep 2022
 19:54:07 +0800")
References: <87r105tblc.fsf@HIDDEN> <87tu51eye8.fsf@HIDDEN>
Date: Wed, 21 Sep 2022 17:45:59 +0530
Message-ID: <87bkr8ditc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: base64
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57969
Cc: 57969 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

W+CuquCvgeCupOCuqeCvjSDgrprgr4bgrqrgr43grp/grq7gr43grqrgrrDgr40gMjEsIDIwMjJd
IFBvIEx1IHdyb3RlOg0KDQo+IFNob3VsZCBiZSBmaXhlZCBub3csIHRoYW5rcy4NCg0KVGhhbmtz
IGZvciB0aGUgcXVpY2sgZml4Lg0K




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57969; Package emacs. Full text available.

Message received at 57969 <at> debbugs.gnu.org:


Received: (at 57969) by debbugs.gnu.org; 21 Sep 2022 12:15:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 21 08:15:27 2022
Received: from localhost ([127.0.0.1]:32812 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oaydT-0005mf-4M
	for submit <at> debbugs.gnu.org; Wed, 21 Sep 2022 08:15:27 -0400
Received: from mail-pg1-f196.google.com ([209.85.215.196]:37751)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <visuweshm@HIDDEN>) id 1oaydQ-0005mR-W3
 for 57969 <at> debbugs.gnu.org; Wed, 21 Sep 2022 08:15:25 -0400
Received: by mail-pg1-f196.google.com with SMTP id bh13so5765699pgb.4
 for <57969 <at> debbugs.gnu.org>; Wed, 21 Sep 2022 05:15:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id:date
 :references:in-reply-to:subject:cc:to:from:from:to:cc:subject:date;
 bh=ZaR2FS8k4xA9XQRi1woD2wJmlvKGiZq7mAAy4w8Dm40=;
 b=E7Qtvzn51WwcH1sMC9+fSY/iQhfDyql4hiqP0HqChtChcab/X2yZ7VdLpD/6+XZ+8C
 wC8bRx0XC++Yalu5Gx2XBdLHHUgHZwDf2rd0jIGk7cLIolsaANKRhI4X5mbdSrgHKYlX
 cQbzUjqQ1WM9zjrpW9+pKrRYDb2FNmvPhqeFLUpb7K3VUw3EWvgSbIAOCazSumv2SFke
 2yY7dblvO8O5vccZXtUzoNcAL+6LaJSrK43DkuoUgD5sY2jVJK7HV2uW9JWIua52MkVf
 GJwg6WFq3oN1Qnye3TbVnv6FBuwgGr5/HfLhVLCXw8kbQfMOtkhtYneoxmUArMdG7chf
 rH8A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id:date
 :references:in-reply-to:subject:cc:to:from:x-gm-message-state:from
 :to:cc:subject:date;
 bh=ZaR2FS8k4xA9XQRi1woD2wJmlvKGiZq7mAAy4w8Dm40=;
 b=dqNdUEnWd7ah2VPoIVT8HCE+p3P2/8cqRAI/IPQt80w1LFQIvIRZYbQwmaRdTKpHms
 y0u6JKz7Ay2JalIJ2aYONJxLY9v0wKKxuXbl72Or8oo7c7MI294auCp2xNnkJUbFvMFz
 wVeN3q2F/IpUbmbtcePKRCqb6nlRYmRgqhI1IdfjTQdYkGX8ocxhbgpZcG3Fvpd1BeHu
 o9kstkKsr+snq2k9qmJwILv5QUq5bL89F1ivSZTjOFgfu5UpzqlLl/bHnGyWTSyGbOKL
 JPGqr6ILc4BD41NpxwXvB6EMOQJytHv3Tqn87gV5sqlM6RlyjpXtnLhr7YhtxY74Cbiv
 9MSA==
X-Gm-Message-State: ACrzQf0Wtf9MOz47cji6ltpiR4WmaqEvLaKZN8COmQEHKmS66W3xg/1w
 eRdxQVK0PJqQ4n7//LnYsMA=
X-Google-Smtp-Source: AMsMyM4A1EltX5yChI5DZv3ZvGbrO0073Ake257v1kzZsLpQEDKv9AAiJ4xh+PF6aisNKQSJK8JGMw==
X-Received: by 2002:a05:6a00:238c:b0:544:c42d:8a67 with SMTP id
 f12-20020a056a00238c00b00544c42d8a67mr28324676pfc.21.1663762519048; 
 Wed, 21 Sep 2022 05:15:19 -0700 (PDT)
Received: from localhost ([115.240.90.130]) by smtp.gmail.com with ESMTPSA id
 d4-20020a170902654400b001781a7c28bcsm1858568pln.237.2022.09.21.05.15.17
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Sep 2022 05:15:18 -0700 (PDT)
From: Visuwesh <visuweshm@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#57969: 29.0.50; `device-class' errors when NAME is nil
In-Reply-To: <87sfkl5408.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 21 Sep 2022 14:03:03 +0200")
References: <87r105tblc.fsf@HIDDEN> <87k05x6jas.fsf@HIDDEN>
 <87y1udeyez.fsf@HIDDEN> <87sfkl5408.fsf@HIDDEN>
Date: Wed, 21 Sep 2022 17:45:16 +0530
Message-ID: <87fsgkdiuj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57969
Cc: Po Lu <luangruo@HIDDEN>, 57969 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

[=E0=AE=AA=E0=AF=81=E0=AE=A4=E0=AE=A9=E0=AF=8D =E0=AE=9A=E0=AF=86=E0=AE=AA=
=E0=AF=8D=E0=AE=9F=E0=AE=AE=E0=AF=8D=E0=AE=AA=E0=AE=B0=E0=AF=8D 21, 2022] L=
ars Ingebrigtsen wrote:

> Po Lu <luangruo@HIDDEN> writes:
>
>> It does say later on that if the type could not be determined, the
>> return value is nil.  So that is what I made it return.
>
> So a nil NAME should lead to `device-class' returning nil?

Po Lu pushed a fixed.  See
https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=3D3ed9a1b0be02452370=
3397b91c1b2ba66d848596

BTW, the real life scenario where this came up was me trying to scroll
in a pdf-view buffer (from pdf-tools) using the scroll-wheel with
pixel-scroll-precision-mode turned on.  I thought I would mention it in
case you were wondering.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57969; Package emacs. Full text available.

Message received at 57969 <at> debbugs.gnu.org:


Received: (at 57969) by debbugs.gnu.org; 21 Sep 2022 12:03:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 21 08:03:14 2022
Received: from localhost ([127.0.0.1]:32785 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oayRe-0005Tc-A7
	for submit <at> debbugs.gnu.org; Wed, 21 Sep 2022 08:03:14 -0400
Received: from quimby.gnus.org ([95.216.78.240]:37456)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oayRc-0005TP-8K
 for 57969 <at> debbugs.gnu.org; Wed, 21 Sep 2022 08:03:12 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=F9JdsGOVNTlaQLuFVnD8L9Fok4Vkaseu+dJDCGfVjJc=; b=thUGhlFha58RM6HjYAtLQ/gL2O
 fWJFUIIAtoQxrfKI5TyLr1xjh7+dHRHh89GBA6IJeiRRbwZkfZbYJ9lYU+tqcrvaJ/rkBKf3G4e6S
 RR0ppsu54OUWSmMmp5CoPHot/gor9mw0dup+FM1rR4AE/owDnYd9tAoBsrqIWbMPV8P4=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oayRU-0004pU-3S; Wed, 21 Sep 2022 14:03:06 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#57969: 29.0.50; `device-class' errors when NAME is nil
In-Reply-To: <87y1udeyez.fsf@HIDDEN> (Po Lu's message of "Wed, 21 Sep 2022
 19:53:40 +0800")
References: <87r105tblc.fsf@HIDDEN> <87k05x6jas.fsf@HIDDEN>
 <87y1udeyez.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAADFBMVEWkRUzBsbE5Jiv/
 //9EG+24AAAAAWJLR0QDEQxM8gAAAAd0SU1FB+YJFQs7EqVA5nIAAAGjSURBVCjPPZIxa+NAEIVH
 IgrBlTCWCamSFIe8v2IJOIUrWewITlWK5Ej0K4SwDuHqcpxNksoRkVm9X3mzkslW+82w7808lqYN
 Lq8vJ7+r+FBSut1O2zccYduSzNXHvH1/OFaLdkP+G+ZoblsAByLywwsi/I2pJPKIdJD3MxpPqGfo
 H4crU7QsYL9IE635LEoBy1IViFiUOtYCHge5QD8AMeffHQEjwMtE7hEzrwsrpaEhp+hMZMgfwWzM
 PghPHa6f9gHrE3TP97WAE1jw02KAQKA9MM5ZwGO+24LT0ml7zlS9ZrsT8AqvTmV0zeFkdprCtXnR
 q4ifYRMy+UZdmGGnhMK0RsOcQeEPUWaxcwAcic56Jc//KbQSoqd6aezc6g5ks6wWsGJUyCR+54IQ
 05eAJxgh5J8sJnU6whBPlygnwEuWam8UIoGAV19xw/iciJpXx2w+9sjgwCU4R60GuHUaNnc+RL8q
 AZnnWgR0al3CWzcN6ysbcHYIaSmmeopPgzoRkM456pUNJAGiGf2wdzYmvyGS33ETwaqyssNP6Aso
 1VZQ/wGiGsRQg+CqXwAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAyMi0wOS0yMVQxMTo1OToxOCswMDow
 MLRFwnsAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjItMDktMjFUMTE6NTk6MTgrMDA6MDDFGHrHAAAA
 AElFTkSuQmCC
X-Now-Playing: The Waitresses's _Wasn't Tomorrow Wonderful?_: "Wise Up"
Date: Wed, 21 Sep 2022 14:03:03 +0200
Message-ID: <87sfkl5408.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Po Lu <luangruo@HIDDEN> writes: > It does say later on
 that if the type could not be determined, the > return value is nil. So that
 is what I made it return. So a nil NAME should lead to `device-class'
 returning nil? 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57969
Cc: 57969 <at> debbugs.gnu.org, Visuwesh <visuweshm@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Po Lu <luangruo@HIDDEN> writes:

> It does say later on that if the type could not be determined, the
> return value is nil.  So that is what I made it return.

So a nil NAME should lead to `device-class' returning nil?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57969; Package emacs. Full text available.

Message received at 57969 <at> debbugs.gnu.org:


Received: (at 57969) by debbugs.gnu.org; 21 Sep 2022 12:02:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 21 08:02:36 2022
Received: from localhost ([127.0.0.1]:32781 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oayQx-0005SL-QM
	for submit <at> debbugs.gnu.org; Wed, 21 Sep 2022 08:02:36 -0400
Received: from mail-pg1-f195.google.com ([209.85.215.195]:45782)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <visuweshm@HIDDEN>) id 1oayQu-0005S7-Cb
 for 57969 <at> debbugs.gnu.org; Wed, 21 Sep 2022 08:02:30 -0400
Received: by mail-pg1-f195.google.com with SMTP id h188so5684684pgc.12
 for <57969 <at> debbugs.gnu.org>; Wed, 21 Sep 2022 05:02:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id:date
 :references:in-reply-to:subject:cc:to:from:from:to:cc:subject:date;
 bh=9tZIEuccbBjBz6/sEcGMEVriP9KOdy4zDmHzhQ8GsJ4=;
 b=KfiCWAIchVVDjfpCmC0CkF2zxepnK7yZWtvxcxhUoLgDL/mpeaLAciUKdb/QnKke+q
 JRJUiOXQgSdloAqduV4wcgot82hdj0TP1HtlXfIkitvdn0yaOsElNvXtcoHN7uYJeAxc
 eAf9aIVbupYyz6L937Lrv/cxEH1EJ+ZzRkhR/gKfW3u8mccDfB/C9ymf7nC73SJLCkWt
 udFgnuMGKCDsoMSdTTEBpDHGLN5WQT2CAbcn9nhz/XTtEiLdmOt5B5tg3r49Q6NoFHgg
 ibI0W8Odf+4RfJdfEnSdBmAfBERGID/0PQlHggSrOJ3RZynYG5mGWVFKRv9wq+U0gpoi
 135Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id:date
 :references:in-reply-to:subject:cc:to:from:x-gm-message-state:from
 :to:cc:subject:date;
 bh=9tZIEuccbBjBz6/sEcGMEVriP9KOdy4zDmHzhQ8GsJ4=;
 b=yqno9ObRMEA76ba5wJgEHPUG842reI6fkkLVqGwePCn8s+zqp1oQjFEGAr01xyDEhS
 8ApZLyldd8XgE+8WJoKnoZ84pPR22ulcK379AsVNOzrqjYGFRRY3DXku6nzui6lAcuyU
 cPlzISQMT1F7g0aIURDwMtDAl1lMGtc+zZDXCfflwNqORK7fyPlmkm2U54XiufMhApIV
 /asoq72+rKsZK/7ldv6eN6pFaQOYE2qKLt2ToCVEFRKYlseLSPpz7RL3pTC+4WB7wdky
 UzrYqszaav06lU8jncZlKAodCc+Hxj53Qm45TvnfdDCDJc8FFgzboZqtpw/+UZ+mPx6T
 16Hw==
X-Gm-Message-State: ACrzQf3Q68WiaO710ZQdFIccS1RrrVzzD9NBuNJM/pjEd9xwmm4ForLB
 NFdOpGfgUcVB0nopj6BMr4M=
X-Google-Smtp-Source: AMsMyM4RdPbJk8Sd7nMbXiRlPRm3fNVJRUYYKPcF6Z7BX/iqVYGlW/UJRH8DH9/buCYmjx5FF9QQxA==
X-Received: by 2002:a63:564b:0:b0:42c:414a:95fd with SMTP id
 g11-20020a63564b000000b0042c414a95fdmr24459041pgm.5.1663761742534; 
 Wed, 21 Sep 2022 05:02:22 -0700 (PDT)
Received: from localhost ([118.185.152.162]) by smtp.gmail.com with ESMTPSA id
 q12-20020aa7960c000000b00538056de6ecsm1987304pfg.52.2022.09.21.05.02.21
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Sep 2022 05:02:22 -0700 (PDT)
From: Visuwesh <visuweshm@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#57969: 29.0.50; `device-class' errors when NAME is nil
In-Reply-To: <87k05x6jas.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 21 Sep 2022 13:47:23 +0200")
References: <87r105tblc.fsf@HIDDEN> <87k05x6jas.fsf@HIDDEN>
Date: Wed, 21 Sep 2022 17:32:10 +0530
Message-ID: <87o7v9c4vx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57969
Cc: Po Lu <luangruo@HIDDEN>, 57969 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

[=E0=AE=AA=E0=AF=81=E0=AE=A4=E0=AE=A9=E0=AF=8D =E0=AE=9A=E0=AF=86=E0=AE=AA=
=E0=AF=8D=E0=AE=9F=E0=AE=AE=E0=AF=8D=E0=AE=AA=E0=AE=B0=E0=AF=8D 21, 2022] L=
ars Ingebrigtsen wrote:

> But it's not clear what the meaning of nil should be.  Perhaps Po Lu
> knows; added to the CCs.

last-event-device has this to say,

    It is nil if the last event did not come from an input device (i.e. it
    came from =E2=80=98unread-command-events=E2=80=99 instead).

>
> (And if nil really is a meaningful value for NAME, and not just a
> documentation error, then perhaps that argument should be optional?)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57969; Package emacs. Full text available.

Message received at 57969 <at> debbugs.gnu.org:


Received: (at 57969) by debbugs.gnu.org; 21 Sep 2022 11:54:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 21 07:54:26 2022
Received: from localhost ([127.0.0.1]:60993 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oayJ7-00032d-UL
	for submit <at> debbugs.gnu.org; Wed, 21 Sep 2022 07:54:26 -0400
Received: from sonic304-21.consmr.mail.ne1.yahoo.com ([66.163.191.147]:33417)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1oayJ6-00032P-5N
 for 57969 <at> debbugs.gnu.org; Wed, 21 Sep 2022 07:54:24 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1663761257; bh=LS06YR83SDuBfzVVxRgNpV1Qy0D39hApyG88Fjz+woo=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=NM7jK1z2TXDQ22L/tS3ZecAzRWJVgSKMIV49R78Hs0ZWzzoivXPgwZtIEn/H3viPbA1Gr9BRhaDiJuxaFetIJsvOdulIrZxB78CTOGj7cBcybNgLX0RKXpqkOf9UZknehCHrhAytmGN2KKqC1D/OqqLJ4q0Vc9lxVw7ghHvxDnSvL7gywhLga37y6Q2cgnDzu5I2sxkW1nTJFIB46FbuWQlF9y4cUpClP0ExLJQEGHNZ956G9ddDeoHnU9HgRYXBBuEjw4LQPpX5fRJYNPc98j7Qdv+b12xfq/DWGHs2hcPUGOkDo5Lw3cMBhwdFiC3AZwqYn8Z701xdQ/Q07/hCrQ==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1663761257; bh=N3NoaHqWPN6o89aDI3Wx8ViLQspOllwKApidNvjhHxR=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=csccLUNoU1JOE4rP2LTxB36ztiq4EWBlH5Wqvt9NBdNlLafZX1rUOh3aSxIvxjGtUDdawkXi8n0SJFd4AryBl7nW1ubEukS3k8DcY1xWTQRDA2hQh/wqBdYafpKhild6OunShS7QBQxFeWePurhyWq4d/W6WCp8fN8VZ7cBAaZ4t6L+JyZZQwhCKz2Th8SlPsUY93iTpoLHVIBvKAVwVgq0CleNe+pYSjTP5PHmPrc6g4fhcZAKlMNVvl3XXJQTmCiBNUGN4z6PpDvJy6HtZFZ8tOC2uGMuU2jUGlaPrYJCEyOu7tXWlkikH4P0jCR1xrLHwno0TwMI2WtRlqBHW/A==
X-YMail-OSG: 6InXx60VM1kCVmRFJGcqwbWz5RMvRlESnbET0GVUy1dm2VBDaWc0sgshWPtN4rW
 f0u.1huC7kTKomCj4hQ0VW0ksIyakmwnLxj4abgLTT5nn5SK7FYo1gL2I8ZzF2TQWl666hq2O8PY
 lH8xNCMovi3ZU0ssfEVj4R6GAmhAz3QomLWyfjcP4Qw8GmaYtg6nzcuwJDeLzd9KYqpwfbntyI_R
 pfLi4e2oOsX1ziL9tcK9N2BOdmVE2Vl9nvo2V0k2Be4Xw0BOmtGInDoQppkvxHMn2TmktjrwAm.k
 aD1woHS2jnAfc7VUrchWVrEH_nfAD6DEoGfcjsMy95xZFMqL32aQ_XO5Gk9QL99O8UGSf8IX9V5Z
 vE4r83qfy.C8c7Neh4K8MbpkOVbkuYQE9CsXxn_x4lSENQVdgI8epvtjc7RfPDk2AtT8BXz48rZG
 hmaoMwbNZRK7Yb.rR2yFighvJ8CoaowozyZ6TvSkPspyUS4Qkknkpvzaq_y3L6XWkfxTHSgbMxrV
 y02Ek6P5eKtmXo3kQb4c5zdadVkVw7WJxG4S3zBZLY.sH3ZU8OzmlZf5D6qf9ko2SrSYIrvjJ6Tw
 v0lO2zie2MabACEfZ9Lz9RyABpzTjYA6MisxRV9Ay5drMGp9h0Xj0Ov5Bvi5p.p4InRg2e0F3tuc
 f7PRUyoA_JLy6YN1pi9ZjnYM4IDIOPXVd2tl2UuT8jRNywyNcbZdm_MysYjNYK6xbD7IO2Gneg3p
 3bCocHKamz6cQRCM_UgIw6j7jLFCL8_ROIvBe6fT6pIobzERpV4nkCzO2KpDzE3hyeof4mAmt6sY
 HWeX.yewnsEUAKuQR4tBRJDRUfR2wTFwtmgLRFAcuSK1Cz.Lwik8PIvVBvsJH3ymTd3.wu2I9S2v
 Hs02k4QemNA557Vmn.Q3r6rky.ukIGFPYeIMNfQfE69HY8_JDM5fL2OLXOwdveHfy8J65iY9t0dS
 CG_AGbq2cg_4mAw8MDzEFF6Z6oRd1xcTSkdy1PDgzw.f6cz1o1fRwqXTQdrLl3f5nkiFRi1mV9SF
 W8M243k65Bdf8eoHn_Nl8jVUDxpodsM4ibPZfp8SoQddk_37SRz65NAvQSKM53XXx9Azv9wNVMvH
 rty7bRmmiE4ASVt2457Bm6T58Wqus0sIioR6zGCxQfpP7Sx8mGEiy10SYn6IYWW1SZV93JXhgJAg
 MhtFsT_8mkWn.bcTjzYb7TfuAU802h_1dISA1xaZeqo6idccYWPgV2rKyOtSQT6wyJW6aU8xpY7O
 yJS7Zb1g31MxG6EyPCg6MYNMWYsoXKRgukhUwMRIYP8K5o6A3kZjE.gIRrxRGeTZM7m2h8joddxd
 IgPCQ4VnTMKPRhj2sg.lndwj.FfCz6AiLHHhLu.PBnFZLeF6APr57PwVd.kX08qfCzfp1vbfXgac
 SvOJrepc.HqZjS9fnJFrIcgcwU8Jh1WXgbv2YgstLw2fxTt4L.8QueRktDgVB9PgkESWtyrvQGH_
 .w2HgOlot4SXM1mBRuVXKyHuoSF0yAf2GmVp.ZELiAoHIE4urTAnvHRbqECwd0f5iyP4Ma7OsPKB
 SlrcH9ZDiWsWEEOs.P_4_ddTzXMISqptqJ_VuiF81jFl5GtD1sbUcCl5601m5cTmfBI5xpbJSUBd
 IJ3D07cgc9KMGmhVG9HbFKsIfRocbK7moj.2rVRpaX_D28CgKtc5L0Cvax.29SQTtWaCkRxRr9vM
 crZBPQVNukxukSxMeJxYtJUVtAaml3fnkPomss0Ezqq_NLbglYSxGABWSYq2heMD9dA3gLxbR.p4
 R8f6bZQZSFbKsrP8Re53MMprbU1IqGJBMQ8asQedAgbzZ1bYUf3TSBXXdGykkw1tnPV6KgwxsYFk
 zmlRjtj224zxztwd18aSCEOkUSGFSlr.ggkXgBhgnC6VIo3ZpNX8blkfJ9_PJvI5S_A_odzwWPhe
 6Whv7gq6LxgVYRY.DcGpJA01Y7CRsyikUZsuBNgO_p47gfIfZyyJzT.qdhVZTAy6vucs9G3B3Ous
 TcRt.g7SxIS.4isP.FzSPIV7Fxw3cjtj3uQgJ5VIHOYUjGnJMJir7QDdDM88mg07Y.eyodUegpqo
 7f2Uvx5.FKnkvgFUQr.yCymEjcJZd9.6u8IUGa5.zIIERHe8bkJ2izz5OWMtywxGc0g7FDIrIav2
 ju_A0BOiC0Mz_dxdUY69A6diP3hiDkzJBOgzgGfI2zuqeDfRI73iwHAVdF.Vs8MPrUijrHZa8jUK
 gmhDZRckTThOZP2bBzl38JJeZReuUjpwlGmp3aI1ILgZTSgJ.Jut.Dm8p8CiqdxPKAYShC.Q8dZB
 85.k-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic304.consmr.mail.ne1.yahoo.com with HTTP; Wed, 21 Sep 2022 11:54:17 +0000
Received: by hermes--production-sg3-6d76f6b48d-sxspw (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID 7f0bfe7874d7b01236eaac8faa4dab1e; 
 Wed, 21 Sep 2022 11:54:11 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Visuwesh <visuweshm@HIDDEN>
Subject: Re: bug#57969: 29.0.50; `device-class' errors when NAME is nil
References: <87r105tblc.fsf@HIDDEN>
Date: Wed, 21 Sep 2022 19:54:07 +0800
In-Reply-To: <87r105tblc.fsf@HIDDEN> (Visuwesh's message of "Wed, 21 Sep
 2022 13:15:19 +0530")
Message-ID: <87tu51eye8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable
X-Mailer: WebService/1.1.20663
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 2091
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57969
Cc: 57969 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Visuwesh <visuweshm@HIDDEN> writes:

> According to the docstring of `device-class', nil is a valid value for
> the NAME argument however it errors out since `x-device-class' uses
> `downcase' without checking if NAME is non-nil.  Backtrace is below,
>
> Debugger entered--Lisp error: (wrong-type-argument char-or-string-p nil)
>   downcase(nil)
>   (let ((downcased-name (downcase name))) (cond ((string-match-p "XTEST" =
name) 'test) ((string=3D "Virtual core pointer" name) 'core-pointer) ((stri=
ng=3D "Virtual core keyboard" name) 'core-keyboard) ((string-match-p "erase=
r" downcased-name) 'eraser) ((string-match-p " pad" downcased-name) 'pad) (=
(or (or (string-match-p "wacom" downcased-name) (string-match-p "pen" downc=
ased-name)) (string-match-p "stylus" downcased-name)) 'pen) ((or (string-pr=
efix-p "xwayland-touch:" name) (string-match-p "touchscreen" downcased-name=
)) 'touchscreen) ((or (string-match-p "trackpoint" downcased-name) (string-=
match-p "stick" downcased-name)) 'trackpoint) ((or (string-match-p "mouse" =
downcased-name) (string-match-p "optical" downcased-name) (string-match-p "=
pointer" downcased-name)) 'mouse) ((string-match-p "cursor" downcased-name)=
 'puck) ((or (string-match-p "keyboard" downcased-name) (string=3D name "US=
B USB Keykoard")) 'keyboard) ((string-match-p "button" downcased-name) 'pow=
er-button) ((string-match-p "touchpad" downcased-name) 'touchpad) ((or (str=
ing-match-p "midi" downcased-name) (string-match-p "piano" downcased-name))=
 'piano) ((or (string-match-p "wskbd" downcased-name) (and (string-match-p =
"/dev" downcased-name) (string-match-p "kbd" downcased-name))) 'keyboard)))
>   x-device-class(nil)
>   device-class(#<frame *unsent mail to bug-gnu-emacs@HIDDEN* emacs@astat=
ine 0x562ae5daf070> nil)
>   eval((device-class last-event-frame nil) nil)
>   elisp--eval-last-sexp(nil)
>   eval-last-sexp(nil)
>   eros-eval-last-sexp(nil)
>   funcall-interactively(eros-eval-last-sexp nil)
>   call-interactively(eros-eval-last-sexp nil nil)
>   command-execute(eros-eval-last-sexp)

Should be fixed now, thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57969; Package emacs. Full text available.

Message received at 57969 <at> debbugs.gnu.org:


Received: (at 57969) by debbugs.gnu.org; 21 Sep 2022 11:54:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 21 07:54:01 2022
Received: from localhost ([127.0.0.1]:60984 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oayIj-000318-Ew
	for submit <at> debbugs.gnu.org; Wed, 21 Sep 2022 07:54:01 -0400
Received: from sonic315-20.consmr.mail.ne1.yahoo.com ([66.163.190.146]:37038)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1oayIf-00030s-1o
 for 57969 <at> debbugs.gnu.org; Wed, 21 Sep 2022 07:54:00 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1663761230; bh=omlwB6blVITcLNTvXbcTYznu8Vjsn3QEZAci0vSFkkg=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=q6gxB7cxPtC5l88j0aV9qcxWQutsoxJv1nj6R4X+ILYPESylyw3DYo6LgBHVkD+YY+ik9mO0m6e/UZptUi7hnTvs32q0/36ocyHPL0Ghijyhccask777Heh3KI+oN7+e+lHUVBv2y7XgYOWW0lJguGFyWtmKN4LcfypgeF9QCEsOiRT/IV+CFpeVoxs88Y/eCTug7tWdHF4wyDWwl5oleTMU86fczPik08+QJIcLHJCXEzCjo20yuuuMXpjoa+BOS8digRVoRv/e3B8kK/cOe+F5far9IlZPsAN57ps7y2YBqymDbpQo9fOuH6n5r8wk1NiMivevU2Zc7RuQ+gkHdQ==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1663761230; bh=c0wFiEyGEfPINvHKAxIEvhpK/EpPruqiq8vC1lx3WhB=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=BJX3V4xR/SKNkivrvh/cKfYKTgmnkJN/nRystxB8eskGWr6JVW2TbdNkBRzE+czGJlHIa4JrD0JLhhzqDnnnV5i934pyCX43OZom5BlaDe8LcQXZwKExUs01ofKYOl3viGB6wbxk5I5uL2gG7DzKmillmmY30MwA1xY5UyY3Gy6qThiMEQWoJBZMBkltC5Zq9vFbrTUytvxNQVHUIco2TPbqulijqKJ33Y/2pKJQsBaP3QejqS2tP30Y5CEFXn7rz6htZQFyWTXCTd0RVjNAGPrzCFJvlALvd+2JGRfPc3lba7kwThu9WAKeUYzpnLmU5RL0lerSkoy1x9u7EE+gcg==
X-YMail-OSG: jnulUOgVM1l18dg.103KJH5Z1KngD_a7vmA7gVK9Oii3OVfOkMO7ydi.UxqMuZL
 GS2oC_pSMzUeEmVxqoT.ttYzkQ5o5gKnbJnKwp2.BrMfhBgE58bGXmFit43Rj0ZVgDq3c6P5J42u
 zmPLaz4S7RJyGYmPUnxA1C.Xmywfavymk.fu2Zk2iNkIhgW2_P5ZNr71lWkWDNJJ4qYA8RVhOWl6
 Sl3u62y7Y3VqoblRfz4a7lSPfx3as1qWZ6fpwIQB.i6hYbc.DNo.XcOROooTpjLWlyH.vDkYQ2HZ
 5ItJ286nzxfkLZUuvK0wJHYfiAxAZdR3upiV1Xie.FOISwkYezqIn6IWqou0PmAyT2XnMhyX7D5o
 cQ.MlUH_lEM1bIITX26NXZ2ElPANJLJe.vpaiCvXd0xbCaN4NLV8w3EtHZ0UT7wWs9VWNcgM.kO2
 7QoGmnKUQ8S7uvog0EyNE4Ck1bGVdOdXbzDuMJEWV4EIR8RdWaI33249XC9lUNVqmoikGx5kIeyk
 jfjFxDhK1FEHrnPKdyjAKxIiTc2cI6JH3dHd7m2NeOs9FV0_mPv1q9rBJvgzs7rLTmkK9w53nEfU
 PuP6.dsSVvtOPDcfMsnTqiEYjxAzfjive6I816REQTrNcWHfeyzXnsW2FdYC4HM5pezPcYKNG6Uc
 GRC9IZ7CVLszBlV1th5o6Qb1ly3Ap1a9ctAdUH.3pwO08XP7ttVXrvKKa3xCh_NeMcPfQoNse07A
 DVoF602Gu8sNIcwkhEGVotuB5EuSXDj3RueaxN3Kfdd4OC9RAkq6.f50EWeT9mgYKkUpClL6Ke9p
 STZzLHaVoEbHUBW9UF30N7WMDvhcmlwD_.rWO7HYo.3IHRlNDLPNYfO4o6reWxbC7RND4_D035AK
 1.3Kiw3.3rsU_7qA8rtc7ObXpWdSzOHZvLycUSfxcmXIkwT1eipsfxz4LwWk2GAtYeLmh0xx7r_P
 rZMUfjCcVyHyaTLzqXmiCOAGa6jCq.DXck3CfaCW5SEvsKM9JxXSR4p9WxG2jG.6MdiFah6g7hgp
 9bqdQtd1FK6nFe0x8LpQxPvD_bXuPMZSwvtHb4df5Gety0pmsLAgBo3pc31gUIpzEUw9YmYWCw59
 0_CTDHwZWnJM4F6nspVLFz1fnMBbvkMogrgUzNrzWainF5gMbjvep_oxCO0fEjbaALAnk_STMo3W
 us0ooADc12lI4mQcuWK0zTecSjlC_On1aySzS2uIZi67v.DkgAklgYZ8O49aYlovr_oyOCGV.Fnq
 eedFHj77I9xFeCFPrCJFXCyj2uX_l.g.9EnmhH_CaUHQS0cQvZn6P1NKLcILygoQpPPmtHG.etAJ
 ZimCnkY4WAhwkntDoCDZts1sQuaf9FBRFCobxJ1_nvQKFl.5xlqtnPkTOSZqYTpkouFHi1GADnzS
 wXkH9MF7CCOXRpeEGfvlTPWTHX99cyAfWjY2WOiGIYATOEOFeo5dAa9MmNwISieUyijuW_1nKKmX
 o5V_bD6L1UfiDMDdBrp426LLUnIiDSHLWaN8mQClgCeFXoUCcxx0z3eL2Ayw2WqFXCgcTjUA0WIw
 H5LXcrwG581d6LtoN8H41i7lcnns8hO9MQM6USod4nf7vbVNjFC_dwA_PAiCQS2JZdKT_vkK2xxV
 ad2Cwz3_yldHFugn8rKBnjKA08qPkjPpoJtUckTuNCzEztG8f2MdjnHo5zqBw1C7VD3DsLX3.SHo
 1TUvJk4LoFGSFKLmMR5M5wadrDU8lx_upYZfEFCZQQd47M9.uQX76Gc8C1LKy1d0Lj5Snnh_E9oH
 RrcT7Jqv7p8AyzRil7Jb0xK7NOaTbm45w3IK5ztJDpX8d6kmkdoscWKy2eNBfyX5smMZYw2tHmNv
 uqqdAtOJRGYl.HVRDKVvZGU3StcO3cv25VBWTpB0fQuOJzszisqDGvAZFUPNnCWbzhuIAetAKTzX
 MsT7f5tAhTbTK7O3Aj6jNfy4GXAECBdk9vAdyaAGsaFo138OZ6eyDNcIuPTo3W_9LfqpPVQMyE9b
 yxQMQ_j1lDgksGMhFmxPRJM_ha9FV9WQnfhZrMoP6rHm9t8.pM9.1dCHBofegl7bubiW7B6aBcjo
 zdpp72gQv2NVFsCx6ieSvntqmFd.F5hVDMxHyW0czbvdtwK4HvUzmt.7HetnGNWatccpHOakSBQN
 p93deZKLTvLyf5w7fPqPwRGfUZNOrCU9cC8ZfeT_3AAGAur1fNT.QzpmeJUGud47ZznIcMLM0Jm3
 fkAfUYzvkZCNKgbxJ0OnnjLjLPanLPQ_GgK1uVM7Agil3GHPBmVBrgeAm8OHsv21zpynVXbIv.mR
 fVA--
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic315.consmr.mail.ne1.yahoo.com with HTTP; Wed, 21 Sep 2022 11:53:50 +0000
Received: by hermes--production-sg3-6d76f6b48d-sxspw (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID 7385cec5ada702a3faf430941497c160; 
 Wed, 21 Sep 2022 11:53:45 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#57969: 29.0.50; `device-class' errors when NAME is nil
References: <87r105tblc.fsf@HIDDEN> <87k05x6jas.fsf@HIDDEN>
Date: Wed, 21 Sep 2022 19:53:40 +0800
In-Reply-To: <87k05x6jas.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 21 Sep 2022 13:47:23 +0200")
Message-ID: <87y1udeyez.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20663
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 1265
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57969
Cc: 57969 <at> debbugs.gnu.org, Visuwesh <visuweshm@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Visuwesh <visuweshm@HIDDEN> writes:
>
>> According to the docstring of `device-class', nil is a valid value for
>> the NAME argument however it errors out since `x-device-class' uses
>> `downcase' without checking if NAME is non-nil.  Backtrace is below,
>>
>> Debugger entered--Lisp error: (wrong-type-argument char-or-string-p nil)
>>   downcase(nil)
>
> Yes --
>
> --
> Return the class of the device NAME for an event generated on FRAME.
> NAME is a string that can be the value of last-event-device, or
> nil.
> --
>
> But it's not clear what the meaning of nil should be.  Perhaps Po Lu
> knows; added to the CCs.

It does say later on that if the type could not be determined, the
return value is nil.  So that is what I made it return.

> (And if nil really is a meaningful value for NAME, and not just a
> documentation error, then perhaps that argument should be optional?)

Well, no, it's only intended to be valid so you can do this:

  (device-class last-event-frame last-event-device)

FTR, I consider `device-class' and `last-event-device' low level
interfaces that will be eventually replaced with a better user-facing
one, based on keymaps and virtual function keys, but that is still WIP.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57969; Package emacs. Full text available.

Message received at 57969 <at> debbugs.gnu.org:


Received: (at 57969) by debbugs.gnu.org; 21 Sep 2022 11:47:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 21 07:47:37 2022
Received: from localhost ([127.0.0.1]:60959 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oayCW-0002on-PV
	for submit <at> debbugs.gnu.org; Wed, 21 Sep 2022 07:47:37 -0400
Received: from quimby.gnus.org ([95.216.78.240]:36866)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oayCR-0002oU-V6
 for 57969 <at> debbugs.gnu.org; Wed, 21 Sep 2022 07:47:35 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=01HVer48hC7XS+add+gz9ug9q1S68dELNhWaAJ3vyZI=; b=nFvAou2jox/rZ/h5FxqRsG7RQ7
 iD6wXkrM6p8rXQ9aMr3k/79D2htOtQq+D0+Cezyd2xtXORfQnWBbUzxCEKpCJXG9zpkYTh17ND9xD
 0/nGUtT6yV24gU0qG68FhoVRodIeNOZ1LD9QuP8YQS3LoGN4Ar1QgQiHm1UG3V2zuUFI=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oayCJ-0004dW-Pu; Wed, 21 Sep 2022 13:47:25 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Visuwesh <visuweshm@HIDDEN>
Subject: Re: bug#57969: 29.0.50; `device-class' errors when NAME is nil
In-Reply-To: <87r105tblc.fsf@HIDDEN> (Visuwesh's message of "Wed, 21 Sep
 2022 13:15:19 +0530")
References: <87r105tblc.fsf@HIDDEN>
X-Now-Playing: Niki Mono's _Contradictions are a Luxury_: "Soldiers On Acid"
Date: Wed, 21 Sep 2022 13:47:23 +0200
Message-ID: <87k05x6jas.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Visuwesh <visuweshm@HIDDEN> writes: > According to the
 docstring of `device-class', nil is a valid value for > the NAME argument
 however it errors out since `x-device-class' uses > `downcase' without
 checking if NAME is non-nil. Backtra [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57969
Cc: Po Lu <luangruo@HIDDEN>, 57969 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Visuwesh <visuweshm@HIDDEN> writes:

> According to the docstring of `device-class', nil is a valid value for
> the NAME argument however it errors out since `x-device-class' uses
> `downcase' without checking if NAME is non-nil.  Backtrace is below,
>
> Debugger entered--Lisp error: (wrong-type-argument char-or-string-p nil)
>   downcase(nil)

Yes --

--
Return the class of the device NAME for an event generated on FRAME.
NAME is a string that can be the value of last-event-device, or
nil.
--

But it's not clear what the meaning of nil should be.  Perhaps Po Lu
knows; added to the CCs.

(And if nil really is a meaningful value for NAME, and not just a
documentation error, then perhaps that argument should be optional?)





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57969; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Sep 2022 07:45:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 21 03:45:55 2022
Received: from localhost ([127.0.0.1]:60493 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oauQd-00042z-76
	for submit <at> debbugs.gnu.org; Wed, 21 Sep 2022 03:45:55 -0400
Received: from lists.gnu.org ([209.51.188.17]:38036)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <visuweshm@HIDDEN>) id 1oauQa-00042r-Ol
 for submit <at> debbugs.gnu.org; Wed, 21 Sep 2022 03:45:53 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:59356)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <visuweshm@HIDDEN>)
 id 1oauQS-0001El-ST
 for bug-gnu-emacs@HIDDEN; Wed, 21 Sep 2022 03:45:49 -0400
Received: from mail-pg1-x542.google.com ([2607:f8b0:4864:20::542]:33330)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <visuweshm@HIDDEN>)
 id 1oauQN-0007zp-MB
 for bug-gnu-emacs@HIDDEN; Wed, 21 Sep 2022 03:45:43 -0400
Received: by mail-pg1-x542.google.com with SMTP id f193so5161843pgc.0
 for <bug-gnu-emacs@HIDDEN>; Wed, 21 Sep 2022 00:45:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id:date
 :subject:to:from:from:to:cc:subject:date;
 bh=lLjPfY3K9y+4xr6EoMnUKkTqHbsII70OkCSMCtxdob8=;
 b=dhBvABgOJG7haanGumfzOQvrb4SIIY+q+4HsdLeIiBlEL77jD+oD13//jSWtHB69dL
 GCSWe5XUoKAeqyTBNjKGKlfzgcuUrQOKRrWBnMsS1pqSKZhC+6rpM5Mely9lgKVTBB/9
 dWlO62K70HMajIh2Db7lzEj/o1gJkQlwwB63eYQRZlbnpOEFwPpl4WiS2ceqPD2zYowJ
 r7nh/Wz3+9ciwDar9J+1ECdq7I/gnXmd3dvssP4dgKFCIB0JbhyPShBf4Sgosm97gr34
 ynauRJZMoopKH+8G+23PHQFSJbUa5SIe4XeHE11Jw1SKRVUeMY0qiLVqJQWaE0aYOOVC
 AV3A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id:date
 :subject:to:from:x-gm-message-state:from:to:cc:subject:date;
 bh=lLjPfY3K9y+4xr6EoMnUKkTqHbsII70OkCSMCtxdob8=;
 b=VHv9HObNEbFsOjlsDo1NV2UCvXNVylfJZm0v3VxU6DNZaK7acvk1sD01ZrxzkpAXgf
 iQ20d11jHNM9qbNImsEchRWFx5Mztbw3zg46F1KwutmNWwyMxFxWoW2m7a+nIevf+JHi
 bOhfGQC7q7gUeVZ2YEvd4ZACf52ZgxqX5x/zeiEO4KG6pBHcWjYeD+OS+dlxa1uFerGK
 4xaFIii+zkOMj/C8LhwmlJI0kX9ZFDkbDEFROuQuMJKowqFyo5Ho2PfLhgyoEQ1Ek4Cg
 3qHmLW4wDbp4qR7IHtinLZ2RmzCxnn4aT3D5h0a2Yp+aBT35GGGS9iuchoCwXQDCrBax
 osjQ==
X-Gm-Message-State: ACrzQf35zDHPqo8GNqgk4fTXRrU/RNYSUV6NTm4XuHARILkvEaKnUnIQ
 oS7ddzY+AEsEyZNAh+EeAswT5Z//KPw=
X-Google-Smtp-Source: AMsMyM7sV8RrZ9jo32RD/qkJjqQIgjIfFahSOlq1Gscc8O/xaJg/e+QY9imqMMbOKKWAyS+LFyvPcA==
X-Received: by 2002:a63:594c:0:b0:438:f2ce:8780 with SMTP id
 j12-20020a63594c000000b00438f2ce8780mr23614233pgm.285.1663746337592; 
 Wed, 21 Sep 2022 00:45:37 -0700 (PDT)
Received: from localhost ([118.185.152.162]) by smtp.gmail.com with ESMTPSA id
 l11-20020a170902f68b00b0017832c8cc85sm1206291plg.292.2022.09.21.00.45.36
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 21 Sep 2022 00:45:37 -0700 (PDT)
From: Visuwesh <visuweshm@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; `device-class' errors when NAME is nil
Date: Wed, 21 Sep 2022 13:15:19 +0530
Message-ID: <87r105tblc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=2607:f8b0:4864:20::542;
 envelope-from=visuweshm@HIDDEN; helo=mail-pg1-x542.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


According to the docstring of `device-class', nil is a valid value for
the NAME argument however it errors out since `x-device-class' uses
`downcase' without checking if NAME is non-nil.  Backtrace is below,

Debugger entered--Lisp error: (wrong-type-argument char-or-string-p nil)
  downcase(nil)
  (let ((downcased-name (downcase name))) (cond ((string-match-p "XTEST" na=
me) 'test) ((string=3D "Virtual core pointer" name) 'core-pointer) ((string=
=3D "Virtual core keyboard" name) 'core-keyboard) ((string-match-p "eraser"=
 downcased-name) 'eraser) ((string-match-p " pad" downcased-name) 'pad) ((o=
r (or (string-match-p "wacom" downcased-name) (string-match-p "pen" downcas=
ed-name)) (string-match-p "stylus" downcased-name)) 'pen) ((or (string-pref=
ix-p "xwayland-touch:" name) (string-match-p "touchscreen" downcased-name))=
 'touchscreen) ((or (string-match-p "trackpoint" downcased-name) (string-ma=
tch-p "stick" downcased-name)) 'trackpoint) ((or (string-match-p "mouse" do=
wncased-name) (string-match-p "optical" downcased-name) (string-match-p "po=
inter" downcased-name)) 'mouse) ((string-match-p "cursor" downcased-name) '=
puck) ((or (string-match-p "keyboard" downcased-name) (string=3D name "USB =
USB Keykoard")) 'keyboard) ((string-match-p "button" downcased-name) 'power=
-button) ((string-match-p "touchpad" downcased-name) 'touchpad) ((or (strin=
g-match-p "midi" downcased-name) (string-match-p "piano" downcased-name)) '=
piano) ((or (string-match-p "wskbd" downcased-name) (and (string-match-p "/=
dev" downcased-name) (string-match-p "kbd" downcased-name))) 'keyboard)))
  x-device-class(nil)
  device-class(#<frame *unsent mail to bug-gnu-emacs@HIDDEN* emacs@astatin=
e 0x562ae5daf070> nil)
  eval((device-class last-event-frame nil) nil)
  elisp--eval-last-sexp(nil)
  eval-last-sexp(nil)
  eros-eval-last-sexp(nil)
  funcall-interactively(eros-eval-last-sexp nil)
  call-interactively(eros-eval-last-sexp nil nil)
  command-execute(eros-eval-last-sexp)


In GNU Emacs 29.0.50 (build 18, x86_64-pc-linux-gnu, X toolkit, cairo
 version 1.16.0, Xaw scroll bars) of 2022-09-20 built on astatine
Repository revision: cd2168cd131852279a7d9257c7dff45224c9d6a9
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101004
System Description: Debian GNU/Linux bookworm/sid

Configured using:
 'configure --with-sound=3Dalsa --with-x-toolkit=3Dlucid --with-json
 --without-xaw3d --without-gconf --without-libsystemd'
Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LIBOTF LIBSELINUX LIBXML2 MODULES NOTIFY INOTIFY PDUMPER PNG RSVG
SECCOMP SOUND SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS WEBP X11 XDBE XIM
XINPUT2 XPM LUCID ZLIB
Important settings:
  value of $LC_MONETARY: ta_IN.UTF-8
  value of $LC_NUMERIC: ta_IN.UTF-8
  value of $LANG: en_GB.UTF-8
  locale-coding-system: utf-8-unix

Major mode: ELisp/l

Minor modes in effect:
  bug-reference-prog-mode: t
  pixel-scroll-precision-mode: t
  recentf-mode: t
  shell-dirtrack-mode: t
  paredit-mode: t
  eros-mode: t
  flymake-mode: t
  pdf-occur-global-minor-mode: t
  minibuffer-depth-indicate-mode: t
  repeat-mode: t
  display-time-mode: t
  display-battery-mode: t
  winner-mode: t
  acme-tag-minor-mode: t
  delete-selection-mode: t
  xterm-mouse-mode: t
  straight-use-package-mode: t
  straight-package-neutering-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  use-hard-newlines: t
  tab-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  undelete-frame-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  abbrev-mode: t

Load-path shadows:
/home/viz/lib/emacs/straight/build/faceup/faceup hides /home/viz/lib/ports/=
emacs/lisp/emacs-lisp/faceup

Features:
(shadow ecomplete emacsbug inspector bug-reference image-crop
org-duration writegood-mode org-agenda pulse xref misc shortdoc cl-print
help-fns radix-tree dictionary dictionary-connection cal-islam holidays
holiday-loaddefs mule-util cal-move cus-start pixel-scroll cua-base
gnus-fun qp sh-script smie files-x gnus-cite flow-fill mm-archive
mail-extr gnus-async gnus-bcklg sort gnus-ml nndraft nnmh nnfolder
nnmaildir nnagent nnml nnnil gnus-agent gnus-srvr gnus-score score-mode
nnvirtual gnus-msg nntp gnus-cache notifications dabbrev shr-color color
textsec uni-scripts idna-mapping uni-confusable textsec-check
ucs-normalize executable network-stream url-http url-gw nsm url-cache
url-auth flyspell ispell org-pdftools org-noter image-file
image-converter org-element avl-tree generator recentf tree-widget
vc-backup log-view pcvs-util vc diff vc-git diff-mode vc-dispatcher
pdf-sync pdf-annot facemenu pdf-outline pdf-links ob-C cc-mode cc-fonts
cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs
ob-shell ob-racket async ob-async cdlatex texmathp org-attach org-id
org-refile ol-eww eww url-queue mm-url ol-rmail ol-mhe ol-irc ol-info
ol-gnus nnselect gnus-art mm-uu mml2015 mm-view mml-smime smime gnutls
dig gnus-sum shr pixel-fill kinsoku url-file svg gnus-group gnus-undo
gnus-start gnus-dbus gnus-cloud nnimap nnmail mail-source utf7 nnoo
parse-time gnus-spec gnus-int gnus-range message sendmail yank-media
puny rfc822 mml mml-sec epa epg rfc6068 epg-config mm-decode mm-bodies
mm-encode mail-parse rfc2231 rfc2047 rfc2045 ietf-drums mailabbrev
gmm-utils mailheader gnus-win gnus nnheader gnus-util mail-utils range
mm-util mail-prsvr ol-docview doc-view ol-bibtex ol-bbdb ol-w3m ol-doi
org-link-doi org-tempo tempo ol-man org ob ob-tangle ob-ref ob-lob
ob-table ob-exp org-macro org-footnote org-src ob-comint org-pcomplete
org-list org-faces org-entities noutline outline org-version
ob-emacs-lisp ob-core ob-eval org-table oc-basic bibtex iso8601 ol
org-keys oc org-compat org-macs org-loaddefs pdf-history icomplete shell
pcomplete misearch multi-isearch dired-aux cursor-sensor face-remap
server paredit edmacro kmacro eros time-date checkdoc lisp-mnt
flymake-proc flymake project warnings wordel-autoloads sokoban-autoloads
ement-autoloads svg-lib-autoloads taxy-magit-section-autoloads
magit-section-autoloads dash-autoloads taxy-autoloads plz-autoloads
nov-autoloads esxml-autoloads kv-autoloads transmission-autoloads
lua-mode-autoloads nix-mode-autoloads gnuplot-autoloads
racket-mode-autoloads pos-tip-autoloads faceup-autoloads eros-autoloads
flymake-shellcheck-autoloads writegood-mode-autoloads
siege-mode-autoloads paredit-autoloads puni-autoloads
expand-region-autoloads filladapt-autoloads compose scroll-other-window
org-pdftools-autoloads org-noter-autoloads change-env-autoloads
math-delimiters-autoloads doct-autoloads ob-async-autoloads
async-autoloads emacs-ob-racket-autoloads valign-autoloads
cdlatex-autoloads auctex-autoloads tex-site pdf-occur ibuf-ext ibuffer
ibuffer-loaddefs tablist advice tablist-filter semantic/wisent/comp
semantic/wisent semantic/wisent/wisent semantic/util-modes semantic/util
semantic semantic/tag semantic/lex semantic/fw mode-local cedet
pdf-isearch let-alist pdf-misc imenu pdf-tools package browse-url url
url-proxy url-privacy url-expand url-methods url-history url-cookie
generate-lisp-file url-domsuf url-util mailcap url-handlers url-parse
auth-source eieio eieio-core json map byte-opt url-vars compile comint
osc ansi-color cus-edit edebug debug backtrace find-func icons wid-edit
pdf-view password-cache jka-compr pdf-cache pdf-info tq pdf-util
pdf-macs image-mode wallpaper xdg dired-x dired dired-loaddefs exif
pdf-tools-autoloads tablist-autoloads mb-depth repeat
visual-fill-autoloads olivetti-autoloads time format-spec battery dbus
filenotify xml dom tamil99 quail disp-table lacarte-autoloads winner
ring acme-tag shell-command+ thingatpt acme-tag-autoloads
shell-command-plus-autoloads delsel easy-mmode xt-mouse cus-load
avy-autoloads finder-inf vc-backup-autoloads compat-autoloads icalendar
diary-lib diary-loaddefs cal-menu calendar cal-loaddefs rx filecache
imenu-xref-autoloads derived chemtable-autoloads molar-mass-autoloads
saveplace-pdf-view saveplace bookmark text-property-search pp
saveplace-pdf-view-autoloads pcase inspector-autoloads xr-autoloads
straight-autoloads cl-seq info cl-extra help-mode straight subr-x
cl-macs gv cl-loaddefs cl-lib bytecomp byte-compile cconv vz-nh-theme
vz-options-theme rmc iso-transl tooltip eldoc paren electric uniquify
ediff-hook vc-hooks lisp-float-type elisp-mode mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode lisp-mode prog-mode register
page tab-bar menu-bar rfn-eshadow isearch easymenu timer select
scroll-bar mouse jit-lock font-lock syntax font-core term/tty-colors
frame minibuffer nadvice seq simple cl-generic indonesian philippine
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite emoji-zwj charscript
charprop case-table epa-hook jka-cmpr-hook help abbrev obarray oclosure
cl-preloaded button loaddefs faces cus-face macroexp files window
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget keymap hashtable-print-readable backquote threads dbusbind
inotify dynamic-setting system-font-setting font-render-setting cairo
x-toolkit xinput2 x multi-tty make-network-process emacs)

Memory information:
((conses 16 1052567 238520) (symbols ?0 38771 216) (strings 32 220642 28443=
) (string-bytes 1 163267092) (vectors 16 115417) (vector-slots 8 2240210 24=
3887) (floats 8 61660 2979) (intervals ?8 36301 5737) (buffers 1000 126))




Acknowledgement sent to Visuwesh <visuweshm@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#57969; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 24 Sep 2022 16:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.